Bug 1611785 (CVE-2018-10924)

Summary: CVE-2018-10924 glusterfs: Denial-of-service via fsync(2) in Gluster FUSE client
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, anoopcs, atumball, bmcclain, dbaker, dblechte, dfediuck, eedri, humble.devassy, jokerman, jonathansteffan, kkeithle, matthias, mgoldboi, michal.skrivanek, ndevos, public, ramkrsna, rhs-bugs, sankarshan, sbonazzo, security-response-team, sherold, sisharma, smohan, ssaha, sthangav, trankin, vbellur, ylavi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: glusterfs-3.12.14, glusterfs-4.1.4 Doc Type: If docs needed, set a value
Doc Text:
It was discovered that fsync(2) system call in glusterfs client code leaks memory. An authenticated attacker could use this flaw to launch a denial of service attack by making gluster clients consume memory of the host machine.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-04 09:07:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1625078, 1625081    
Bug Blocks: 1611787    

Description Laura Pardo 2018-08-02 17:58:52 UTC
A flaw was found in Gluster 3.12.11 and 3.12.12 FUSE client. The fsync(2) system call appears to directly or indirectly leak memory in "gf_common_mt_memdup" and "gf_common_mt_char" functions. An attacker could exploit this vulnerablity to perform a Denial of Service attack.

Comment 1 Laura Pardo 2018-08-02 17:59:04 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 2 Doran Moppert 2018-08-16 02:06:21 UTC
This memory leak does not appear to be reproducible on glusterfs-3.8.x.  The FUSE interface changed significantly between 3.8 and 3.12.

Comment 4 Siddharth Sharma 2018-09-04 05:43:53 UTC
Created glusterfs tracking bugs for this issue:

Affects: fedora-all [bug 1625078]

Comment 6 Siddharth Sharma 2018-09-04 09:07:08 UTC
upstream fix:

https://review.gluster.org/20723

Comment 7 Siddharth Sharma 2018-09-04 13:34:57 UTC
Statement:

This issue did not affect the versions of glusterfs as shipped with Red Hat Enterprise Linux 6 and 7, and Red Hat Gluster Storage 3.